# -*-coding:utf-8 -*- #
# --------------------------------------------------------------------------
# ProjectName: protest
# FileName: db.py
# Author: xiao tian
# Datetime: 2025/5/10 14:56
# Description:
# 命名规范：文件名全小写+下划线，类名大驼峰，方法和变量小写+下划线连接，
# 常量大写，变量和常量用名词，方法用动词
# --------------------------------------------------------------------------
import pymysql

from APIAutoTest_v3test import log_decorator
from APIAutoTest_v3test.common.read_system_ini import ReadSystemIni



class DB:
    @log_decorator
    def __init__(self):
        ini = ReadSystemIni()
        self.conn = pymysql.connect(
            host=ini.get_sql_connect_msg("host"),
            port=int(ini.get_sql_connect_msg("port")),
            user=ini.get_sql_connect_msg("user"),
            password=ini.get_sql_connect_msg("password"),
            database=ini.get_sql_connect_msg("database"),
            charset="utf8"
        )

        self.cursor = self.conn.cursor()

    @log_decorator
    def close(self):
        self.cursor.close()
        self.conn.close()

    @log_decorator
    def delete(self,sql_sentence):
        if isinstance(sql_sentence,str) and sql_sentence.lower().startswith("delete"):
            self.cursor.execute(sql_sentence)
            self.conn.commit()
        else:
            raise ValueError("sql语句错误")

    @log_decorator
    def select(self,sql_sentence):
        if isinstance(sql_sentence,str) and sql_sentence.lower().startswith("select"):
            self.cursor.execute(sql_sentence)
            select_result = self.cursor.fetchone()
            if select_result:
                return select_result[0]

        else:
            raise ValueError("sql语句错误")



