# -*-coding:utf-8 -*- #
# --------------------------------------------------------------------------
# ProjectName: protest
# FileName: read_system_ini.py
# Author: xiao tian
# Datetime: 2025/5/10 09:42
# Description:
# 命名规范：文件名全小写+下划线，类名大驼峰，方法和变量小写+下划线连接，
# 常量大写，变量和常量用名词，方法用动词
# --------------------------------------------------------------------------
import configparser
import os

from APIAutoTest_v3test import log_decorator


class ReadSystemIni:
    @log_decorator
    def __init__(self):
        data_config_path = os.path.join(os.path.dirname(os.path.dirname(__file__)),"data_config")
        ini_path = os.path.join(data_config_path,"system_config.ini")
        self.conf = configparser.ConfigParser()
        self.conf.read(ini_path,encoding="utf-8")
        # print(data_config_path)
        # print(ini_path)

    @log_decorator
    def get_host(self,key):
        return self.conf.get("url",key)

    @log_decorator
    def get_sql_connect_msg(self,key):
        return  self.conf.get("sql",key)

    @log_decorator
    def get_user(self,key):
        return self.conf.get("user",key)



if __name__ == '__main__':
    ini = ReadSystemIni()
    print(ini.get_host("host"))











